function [gabmul_op, varargout] = gen_gabmul_operator(dgt, idgt, mask)
%% GEN_GABMUL_OPERATOR computes a Gabor multiplier
% [gabmul_op, varargout] = gen_gabmul_operator(dgt, idgt, mask)
%
% Inputs:
%     - dgt: Gabor transform operator
%     - idgt: inverse Gabor  transform operator
%     - mask: binary known mask
% Output:
%     - gabmul_op: gabor multiplier- handle function
%
% Author : A. Marina KREME
% e-mail : ama-marina.kreme@lis-lab.fr/ama-marina.kreme@univ-amu.fr
% Created: 2020-28-01
%%

 

gabmul_op = @(x)idgt(mask.*dgt(x));
varargout{1} = mask;


end